API Reference

    v1.0.0

    GET/web

    SERP Web Search API

    This API allows users to search for any information over the web. This replicates a typical search engine experience, where users can search for any information they need.

    Base URL

    https://api.desearch.ai

    Query Parameters

    querystringrequired

    The search query string, e.g., 'latest news on AI'.

    startinteger

    How many results to skip. It's used for pagination. (e.g., 0 (default) is the first page of results, 10 is the 2nd page of results, 20 is the 3rd page of results, etc.).

    Default: 0

    Responses

    201A JSON object mapping Web Search to its search results.
    301Moved Permanently
    304Not Modified
    401Unauthorized
    422Validation Error
    429Too Many Requests
    500Internal Server Error
    Authorization

    Your API key will be sent in the Authorization header

    Request
    curl -X GET "https://api.desearch.ai/web?query=latest+news+on+AI" \
      -H "Authorization: YOUR_API_KEY" \
      -H "Content-Type: application/json"
    ResponseSchema
    {
      "data": [
        {
          "title": "Title",
          "snippet": "Snippet",
          "link": "https://example.com"
        }
      ]
    }

    Possible status codes:

    200401422429500

    🍪 We value your privacy

    We use cookies to enhance your browsing experience, serve personalized ads or content, and analyze our traffic. By clicking "Accept All", you consent to our use of cookies. Read our Privacy Policy